---
title: Guide to Web APIs
slug: Web/Guide/API
tags:
  - API
  - Guide
  - Landing
  - Web
---
<p>The web includes a wide array of APIs that can be used from JavaScript to build increasingly more powerful and capable applications, running either on the web, locally, or through technology such as <a href="https://nodejs.org/">Node.js</a>, on a server. On this page you'll find a complete list of all of the APIs provided by the full web technology stack.</p>

<h2 id="Web_APIs_from_A_to_Z">Web APIs from A to Z</h2>

<p>{{ListGroups}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API">Web API interface reference</a> (an index of all of the interfaces comprising all of these APIs)</li>
 <li><a href="/en-US/docs/Web/API/Document_Object_Model">Document Object Model</a> (DOM)</li>
 <li><a href="/en-US/docs/Web/Events">Web API event reference</a></li>
 <li><a href="/en-US/docs/Learn">Learning web development</a></li>
</ul>
